logo
Voice Call
Server API
Stream Mixing and Transcoding APIs
On this page

GetMixTaskInfo

GET

https://rtc-api.zego.im/

Query related information based on the specified stream mixing task's taskid.

Call frequency limit
100 times/second

Request

Query Parameters

    Action stringrequired

    Possible values: [GetMixTaskInfo]

    Interface prototype parameters

    https://rtc-api.zego.im?Action=GetMixTaskInfo

    AppId uint32required

    💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.

    SignatureNonce stringrequired

    💡Common parameter. A 16-character hexadecimal random string (hex-encoded 8-byte random number). For the generation algorithm, refer to the signature example.

    Timestamp int64required

    💡Common parameter. Current Unix timestamp in seconds. For the generation algorithm, refer to the signature example. A maximum deviation of 10 minutes is allowed.

    Signature stringrequired

    💡Common parameter. Signature used to verify the legitimacy of the request. Please refer to the signature mechanism to generate it.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

    TaskId stringrequired

    Task ID, unique identifier of the stream mixing task.

Responses

Operation successful
Schema
    Code int32

    The following only lists the return codes related to interface business logic. For complete return codes, please refer to Global Return Codes.

    Return CodeDescriptionHandling Suggestion
    0Request successful.-
    110200001Failed.It is recommended to try again. Generally caused by network errors.
    110200004Failed to parse input parameters.Please check if the stream mixing parameters are correct.
    110200194Stream mixing request overload.The request is too frequent, please try again later.
    110209001Stream mixing task does not exist.Please check if the stream mixing task is actually in progress. If the stream mixing task is actually in progress, please contact ZEGOCLOUD Technical Support.
    Message string

    Operation result description.

    RequestId string

    Request ID.

    Data object
    Response data.
    TaskInfo object
    Stream mixing task information.
    TaskId string

    Stream mixing task ID.

    MixDuration int32

    Stream mixing task duration, unit seconds.

Previous

StopMix

Next

StartAutoMix

On this page

Back to top